#
# spec file for package openhpi (Version 2.10.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    OpenIPMI OpenIPMI-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-toys docbook-utils docbook_3 docbook_4 e2fsprogs e2fsprogs-devel expat fam fam-devel file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv iso_ent jadetex klogd latex-ucs less libacl libart_lgpl libattr libcom_err libgcc libgssapi libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxml2-devel libzio logrotate m4 make man mktemp module-init-tools ncurses ncurses-devel net-snmp net-snmp-devel net-tools netcfg openjade openldap2-client opensp openssl openssl-devel pam pam-modules patch perl perl-SGMLS perl-TermReadKey permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel rrdtool sed sensors sgml-skel strace sysfsutils sysvinit tar tcl tcpd tcpd-devel te_latex tetex texinfo timezone udev unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           openhpi
Version:        2.10.2
Release:        1.4
#
Group:          System/Monitoring
License:        BSD 3-Clause
#
BuildRequires:  OpenIPMI-devel docbook-toys docbook-utils e2fsprogs-devel fam-devel gcc-c++ gdbm-devel glib2-devel libxml2-devel net-snmp-devel sysfsutils tcpd-devel udev xorg-x11 xorg-x11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
Url:            http://sourceforge.net/projects/openhpi/
# http://downloads.sourceforge.net/openhpi/openhpi-2.10.1.tar.gz
Source:         openhpi-%{version}.tar.bz2
Source1:        openhpi-rpmlintrc
Patch:          openhpi-2.10.x_parantheses.patch
Patch1:         openhpi-2.10.x_no_Werror.patch
Patch2:         openhpi-2.10.x_init_script_dependency.patch
Patch3:         ilo2_ribcl-2.10.1.gz
Patch4:         openhpi-2.10.2_avoid_versioned_modules.patch
#
Summary:        Implementation of SA Forum's Hardware Platform Interface (HPI)

%description
OpenHPI is an open source project created with the intent of providing
an implementation of the SA Forum's Hardware Platform Interface (HPI).
HPI provides an abstracted interface to managing computer hardware,
typically for chassis and rack based servers. HPI includes a resource
modeling; access to and control over sensor, control, watchdog, and
inventory data associated with resources; abstracted System Event Log
interfaces; hardware events and alerts; and a managed hotswap
interface.

OpenHPI provides a modular mechanism for adding new hardware and device
support easily. Many plug-ins exist in the OpenHPI source tree to
provide access to various types of hardware. This includes, but is not
limited to, IPMI based servers, Blade Center, and machines that export
data via sysfs. For up-to-date status on these components, check out
the status page.



Authors:
--------
    Tariq Shureih (Intel) - OpenHPI Maintainer
    David Ashley (IBM) - Developer
    Chris Chia (IBM) - Developer
    Sean Dague (IBM) - Developer, Webmaster
    Julie Fleischer (Intel) - Developer
    Kevin Gao (Intel) - Developer
    David Judkovics (IBM) - Developer
    Thomas Kanngieser (FCI) - Developer
    Rusty Lynch (Intel) - Developer
    Renier Morales (IBM) - Developer
    Peter Phan (IBM) - Developer
    Konrad Rzeszutek (IBM) - Developer
    Steve Sherman (IBM) - Developer
    Louis Zhuang (Intel) - Developer

%debug_package
%package devel
License:        BSD 3-Clause
Group:          System/Monitoring
Requires:       openhpi = %{version} libtool glibc-devel e2fsprogs-devel net-snmp-devel openssl-devel popt-devel bzip2 zlib-devel openhpi-daemon libstdc++-devel ncurses-devel OpenIPMI-devel gdbm-devel sysfsutils glib2-devel tcpd-devel
Summary:        Development Files for HPI

%description devel
Contains additional files needed for a developer to create applications
and/or middleware that use the Service Availability Forum's HPI
specification



Authors:
--------
    Tariq Shureih (Intel) - OpenHPI Maintainer
    David Ashley (IBM) - Developer
    Chris Chia (IBM) - Developer
    Sean Dague (IBM) - Developer, Webmaster
    Julie Fleischer (Intel) - Developer
    Kevin Gao (Intel) - Developer
    David Judkovics (IBM) - Developer
    Thomas Kanngieser (FCI) - Developer
    Rusty Lynch (Intel) - Developer
    Renier Morales (IBM) - Developer
    Peter Phan (IBM) - Developer
    Konrad Rzeszutek (IBM) - Developer
    Steve Sherman (IBM) - Developer
    Louis Zhuang (Intel) - Developer

%package clients
License:        BSD 3-Clause
Group:          System/Monitoring
Requires:       openhpi = %{version}
Summary:        HPI Command-line Applications

%description clients
This package contains HPI command-line utilities



Authors:
--------
    Tariq Shureih (Intel) - OpenHPI Maintainer
    David Ashley (IBM) - Developer
    Chris Chia (IBM) - Developer
    Sean Dague (IBM) - Developer, Webmaster
    Julie Fleischer (Intel) - Developer
    Kevin Gao (Intel) - Developer
    David Judkovics (IBM) - Developer
    Thomas Kanngieser (FCI) - Developer
    Rusty Lynch (Intel) - Developer
    Renier Morales (IBM) - Developer
    Peter Phan (IBM) - Developer
    Konrad Rzeszutek (IBM) - Developer
    Steve Sherman (IBM) - Developer
    Louis Zhuang (Intel) - Developer

%package daemon
License:        BSD 3-Clause
Group:          System/Monitoring
Requires:       openhpi = %{version}
Summary:        Implementation of SA Forum's Hardware Platform Interface (HPI).
PreReq:         %insserv_prereq %fillup_prereq

%description daemon
OpenHPI is an open source project created with the intent of providing
an implementation of the SA Forum's Hardware Platform Interface (HPI).
HPI provides an abstracted interface to managing computer hardware,
typically for chassis and rack based servers. HPI includes a resource
modeling; access to and control over sensor, control, watchdog, and
inventory data associated with resources; abstracted System Event Log
interfaces; hardware events and alerts; and a managed hotswap
interface.

OpenHPI provides a modular mechanism for adding new hardware and device
support easily. Many plugins exist in the OpenHPI source tree to
provide access to various types of hardware. This includes, but is not
limited to, IPMI based servers, Blade Center, and machines which export
data via sysfs. For up-to-date status on these components, please check
out the status page.



Authors:
--------
    Tariq Shureih (Intel) - OpenHPI Maintainer
    David Ashley (IBM) - Developer
    Chris Chia (IBM) - Developer
    Sean Dague (IBM) - Developer, Webmaster
    Julie Fleischer (Intel) - Developer
    Kevin Gao (Intel) - Developer
    David Judkovics (IBM) - Developer
    Thomas Kanngieser (FCI) - Developer
    Rusty Lynch (Intel) - Developer
    Renier Morales (IBM) - Developer
    Peter Phan (IBM) - Developer
    Konrad Rzeszutek (IBM) - Developer
    Steve Sherman (IBM) - Developer
    Louis Zhuang (Intel) - Developer

%prep
%setup -q
%patch
%patch1
%patch2
%patch3 -p1
%patch4

%build
#autoreconf --install --force
autoreconf
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
%configure \
    --disable-static \
    --enable-ipmi --disable-sysfs --enable-daemon \
    --enable-snmp_client --enable-simulator --enable-clients \
    --with-varpath=/var/lib/%{name}
%{__make} -k
%{__make} -C docs/hld openhpi-manual/book1.html
###################################################

%install
###################################################
%makeinstall
%{__install} -Dd -m 0755 \
    %{buildroot}%{_sysconfdir}/openhpi \
    %{buildroot}/var/lib/openhpi
%{__install} -m 0644 openhpi.conf.example %{buildroot}%{_sysconfdir}/openhpi/openhpi.conf
#%{__cp} -a README COPYING docs/hld/openhpi-manual %{buildroot}%{_docdir}/%{name}/
%{__rm} -rv %{buildroot}%{_datadir}/doc/%{name}-%{version}
# delete unused la files from the plugins
%{__rm} -v %{buildroot}%{_libdir}/openhpi/lib*.la

%clean
%{__rm} -rv %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%preun daemon
%stop_on_removal openhpid

%post daemon
/sbin/ldconfig
%fillup_and_insserv -f openhpid

%postun daemon
/sbin/ldconfig
%insserv_cleanup
%restart_on_update openhpid

%files
%defattr(-,root,root,0755)
%dir %attr(0750,root,root) %{_sysconfdir}/openhpi
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/openhpi/*
#%doc %{_docdir}/%{name}/
%dir /var/lib/openhpi
%dir %{_libdir}/openhpi
%{_libdir}/libopen*.so.*
%{_libdir}/openhpi/lib*.so*
#%{_bindir}/openhpi-switcher
#%{_mandir}/man1/openhpi-switcher.1.gz
%{_mandir}/man7/openhpi.7.gz

%files devel
%defattr(-,root,root)
%{_includedir}/openhpi
#%{_includedir}/sim_injector_ext.h
%{_libdir}/pkgconfig/openhpi.pc
%{_libdir}/pkgconfig/openhpiutils.pc
%{_libdir}/libopen*.so
%{_libdir}/libopen*.la
%{_libdir}/liboh*.so
%{_libdir}/liboh*.la

%files clients
%defattr(-,root,root)
%{_bindir}/hpi*

%files daemon
%defattr(-,root,root)
/etc/init.d/openhpid
%{_sbindir}/openhpid
%{_libdir}/liboh*.so.*
%{_mandir}/man8/openhpid.8.gz

%changelog
* Thu Apr 03 2008 - mrueckert@suse.de
- added openhpi-2.10.2_avoid_versioned_modules.patch:
  loadable modules dont need to be versioned. (bnc#376518,bnc#376637)
- delete .la files for the plugins
* Wed Mar 05 2008 - mrueckert@suse.de
- update to version 2.10.2 (bnc #367534)
  - 1884612 - saHpiControlSet() fails to release handler in an
  error leg (This fix addresses a missing lock bug which results
  in OpenHPI daemon to lock up and stop responding to client
  applications)
  - 1849426 - marshalling problems with saHpiDimiTestStart
  - 1867746 - Wrong marshalling of SaHpiFumiBankInfoT
  - 1841864 - Improve DIMI and FUMI support
  - 1877606 - saHpiControlSet(): incorrect digital Control state
  check
  - 1849418 - marshalling of SaHpiDimiTestParamsDefinitionT type
  - 1827895 - cast-align compile failures on SPARC from
  g_array_index()
  - 1840681 - saHpiGetChildEntityPath: array index is above array
  bounds
- removed included patches:
  openhpi-2.10.x_array_bounds.patch,openhpi-2.10.x_open_calls.patch
* Wed Mar 05 2008 - mrueckert@suse.de
- added ilo2_ribcl-2.10.1.gz (Fate#302597)
  OpenHPI plug-in for HP ProLiant Rack Mount Servers
* Mon Jan 14 2008 - mrueckert@suse.de
- update to version 2.10.1 (fate: #302712, #302597)
  - saHpiGetIdByEntityPath() now returns the InstrumentId
  - OpenIPMI plugin - storing the cause of a hotswap state change
  in the proper event byte
  - hpiel, and other clients, no longer abort (possibly with a core
  dump) when the daemon is not present, but exit gracefully.
  - The spec file no longer requires libsysfs < 2 as OpenHPI now
  builds against libsysfs 2 fine.
  - Fixed the gcc version check, which now works on gcc 4.2.
- additional changes from 2.10.0
  2.10  contains implementation and entry points for all new APIs
  added in the B.02.01 specification. Also, all APIs have been
  revised and updated according to minor return code changes and
  additions in B.02.01. Following a complete list of the new
  implemented APIs:
  saHpiResourceLoadIdGet
  saHpiResourceLoadIdSet
  saHpiGetIdByEntityPath
  saHpiGetChildEntityPath
  saHpiResourceFailedRemove
  saHpiEventLogCapabilitiesGet
  saHpiIdrFieldAddById
  saHpiIdrAreaAddById
  saHpiDimiInfoGet
  saHpiDimiTestInfoGet
  saHpiDimiTestReadinessGet
  saHpiDimiTestStart
  saHpiDimiTestCancel
  saHpiDimiTestStatusGet
  saHpiDimiTestResultsGet
  saHpiFumiSourceSet
  saHpiFumiSourceInfoValidateStart
  saHpiFumiSourceInfoGet
  saHpiFumiTargetInfoGet
  saHpiFumiBackupStart
  saHpiFumiBankBootOrderSet
  saHpiFumiBankCopyStart
  saHpiFumiInstallStart
  saHpiFumiUpgradeStatusGet
  saHpiFumiTargetVerifyStart
  saHpiFumiUpgradeCancel
  saHpiFumiRollback
  saHpiFumiActivate
  Other featured highlights incude:
  Basic support for MicroTCA in IPMIDirect plugin (psangouard)
  Compilation problems on Solaris were reported and fixed
  (crinaldo).
  Added recognition of a much larger set of manufacturer ids.
  Eliminated the need for plugins to implement/export get_event.
  Sysfs plugin now builds against libsysfs 1.x and 2.x.
  FRU resource can now report resource type failed events in
  addition to hotswap (psangouard).
- removed openhpi-2.8.1_gcc_detection.patch:
  included in 2.10.1
- added openhpi-2.10.x_open_calls.patch:
  fix one open call with O_CREAT without a mode,
  make all other open calls with O_CREAT use S_* macros instead of
  numbers
- added openhpi-2.10.x_array_bounds.patch:
  fix array out of bounds warnings from gcc
- added openhpi-2.10.x_init_script_dependency.patch:
  add lsb header to the init script
- added  openhpi-2.10.x_no_Werror.patch:
  remove Werror from the cflags as some IO calls dont use error
  handling and upstream wants to keep that as is.
- added openhpi-2.10.x_parantheses.patch:
  fix a few warnings about using parantheses inside a complex
  boolean expression
* Fri Oct 19 2007 - mrueckert@suse.de
- added openhpi-2.8.1_gcc_detection.patch:
  fix detection of gcc version
- build with no-strict-aliasing
- remove unused libpcap from the buildrequires
* Tue Jul 17 2007 - mrueckert@suse.de
- update to version 2.8.1
  o New Features:
  * Blade Center Plugin
      - 1588365 - Enhance isolation from event string changes
      - 1588020 - Add support for more BladeCenters
      - 1587534 - Support HS21 blade threshold event format
  * HPI Clients
      - 1585818 - New clients showing multiple plugins to same target
  * OpenHPI base library
      - 1572962 - Unblock events on discovery
      - 1532151 - Improve configuration by eliminating plugin lines
  o Fixed Bugs
  * Blade Center Plugin
     - 1590030 - Need to also init 'oh_event struct - add resource' for RSA
- changes from 2.7.0
  o New Features:
  * Blade Center Plugin
      - 1541402 - Re structure snmp_bc to use new oh_event
  definition
  * OpenHPI base library
      - 1533344 - Event/Resource processing enhancements
  * Simulator Plugin
      - 1533338 - Injector API without using linux queues
      - 1263998 - sim_sanityXXX uses the poison sprintf() util
  o Fixed Bugs
  * Build System
      - 1571708 - rtas plugin may not build. name clash with
  dependency
      - 1538808 - hpi_shell and simulator build problems after
  oh_event change
  * OpenHPI base library
      - 1570274 - saHpiResourceSeveritySet accepts ALL_SEVERITIES
  value
      - 1546787 - process_resource_event may run only once when
  sessions = 0
  * Test Suites
      - 1572322 - simulator unit test 45 wrongly expecting events
  in queue
- removed obsolete patches:
  openhpi-2.4.1_no-Werror.patch
  openhpi-2.4.1_sysfs2_buffer_overflow.patch
  openhpi-2.6.3_array_bounds.patch
  openhpi-2.6.3_doctype.patch
  openhpi-2.6.3.tar.bz2
- fixed and ignored a few rpmlint warnings
* Thu May 24 2007 - stbinner@suse.de
- add missing %%run_ldconfig calls
* Fri Mar 30 2007 - rguenther@suse.de
- add gdbm-devel BuildRequires.
* Fri Feb 02 2007 - mrueckert@suse.de
- added openhpi-2.6.3_array_bounds.patch: (#238658)
  make the array large enough so we dont overflow it in the loop.
* Fri Jan 19 2007 - mrueckert@suse.de
- added openhpi-2.6.3_doctype.patch:
  replaced the broken PUBLIC identifier with SYSTEM.
* Wed Jan 10 2007 - mrueckert@suse.de
- update to version 2.6.3: (Fate: 301553)
  - LED controls
  - watchdog timer support
  - Intel vendor logic
  Changes from 2.6.2:
  * OpenHPI Daemon Client
    - 1559388 - ControlGet from client is failing conformance test
    - 1553500 - Thresholds validation rejects valid Threshold
  setting values
  * OpenHPI base library
    - 1553422 - Conformance - saHpiSensorThresholdsSet/13.test
* Mon Sep 04 2006 - mrueckert@suse.de
- update to version 2.6.1:
  Changes from 2.6.0:
  o New Features
  * Blade Center Plugin
  1501830 - Add events for BladeCenter H
  1525421 - Add config option to disable snmpgetbulk
  1523919 - Add BladeCenter plugin documentation to EXTRA_DIST
  1523505 - Add new interfaces to snmp_bc plugin
  1522040 - Change snmp_bc get bulk default
  1518360 - Make Operational sensors readable
  1517739 - Add Blade BMC Reset Control
  1513402 - Enhance snmp_bc snmp config parm parsing
  1497740 - Add Slot Resources and their associated RDRs
  * HPI Utils
  1524023 - Make uid_utils function prototypes use HPI types
  1517621 - Add base 10/16 conversion ability to oh_derive_string
  * OpenHPI Daemon
  1520861 - Make the daemon the default configuration
  1520863 - Add a syslog log to the daemon
  * OpenHPI base library
  1521589 - Hotswap management enhancements
  1491791 - Persist DAT data
  o Fixed Bugs
  * Blade Center Plugin
  1526076 - make warning due to type mis-matched.
  1526075 - For re-announcement hotswap event set prev_state=cur_state
  1515094 - Place init of getbulk count in correct place
  1509510 - Correctly determine current state of I/O Module (switch)
  1512285 - Also consider BLADECENTER_SYS_MGMNT_MODULE_SLOT
  1512697 - Look in the correct copy of cache for setting Slot Sensors
  1512756 - Also set MM Slot Location for OVR_MMx
  * Build System
  1502903 - openhpi-switcher run during install fails in cross env
  1529860 - There is not reason to check for FAM in configuration
  * HPI Clients
  1531422 - hpiel is not printing entitypath when in client mode
  * HPI Utils
  1522779 - oh_decode_time does not set DataLength
  * HpiView
  1520673 - GThread-ERROR: conflict with newly improved HPI Core
  * None
  1529555 - dummy plugin is in openhpi.conf but it is not installed
  1514565 - Incorrectly remove Virtual Management Module
  * OpenHPI Daemon
  1529552 - init.d script gives error message on SuSE
  * OpenHPI base library
  1531533 - _init() might cause problems when building statically
  1451541 - openhpi-switcher, bad behaviour
  1520630 - alarms will not get cleared in a particular case
  * OpenIPMI plugin
  1364786 - SBC name seems to be hardcoded as SBC Blade
* Mon Mar 06 2006 - mrueckert@suse.de
- update to version 2.4.1
  * added ekeyfru.h to fix the build of the ipmi plugin
  * Reserve SDR command is always sent to LUN 0 even if
  trying to reserve device SDR repository on another
  LUN. As a result, subsequent commands to this device
  SDR repository always fail.
- additionally the following changes from 2.4.0:
  * New Features
  + OpenHPI Daemon:
  o 1414769 - Create service script for HPI daemon
  + OpenIPMI Plugin:
  o 1431652 - Add ATCA-HPI mapping support to OpenIPMI plugin
  + RTAS Plugin:
  o 1333708 - Create RTAS prototype plugin for support of
  PPC platform
  * Fixed Bugs
  + Blade Center Plugin:
  o 1105644 - "make check" fails in threaded env
  o 1119537 - Enhance snmp_bc simulator and re-enable (missing)
  unit tests
  o 1427708 - Add checking for NULL pointers when open/close
  plugin
  o 1427827 - tsensorget036.c - make check fails
  + Build System:
  o 1421012 - sysfs plugin tries to build when header doesn't
  exist
  o 1426676 - htmlfilter.pl not included in tar ball.
  Needed to build docs
  + Dummy plugin:
  o 898156 - implement set_resource_severity in dummy plugin
  o 898157 - implement set_resource_tag in dummy plugin
  + HPI Utils:
  o 1183140 - Data Length Element in oh_big_textbuffer should
  include NULL
  o 1195478 - Length returned by oh_decode_eventstate() is short.
  + IPMI Direct plugin:
  o 1427422 - Plugin crashes if saHpiSensorMasksGet is called
  NULL masks
  + OpenHPI base library:
  o 1199880 - Setting Threshold Value of Type Buffer Always
  Fails
  o 1413695 - saHpiAlarmAcknowledge does not check invalid
  Severity
  o 1413699 - saHpiAlarmAdd does not check invalid Severity
  o 1413701 - saHpiAlarmDelete does not check invalid
  Severity
  o 1421542 - saHpiSensorMasksGet with NULL masks returns
  INVALID_PARAMS
  o 1426093 - Incorrect alignment of HPI 64-bit types with
  gcc 3.3
  o 1428297 - saHpiIdrFieldSet fail with invalid Field.DataType
  o 1429330 - Problem with some plugins when dlopening
  libopenhpi.so
  + Test Suites:
  o 1429307 - BC unit tests fail due to autoregen files
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - mrueckert@suse.de
- update to version 2.3.1
- removed all patches
- added 2 new patches:
  - openhpi-2.3.1_builddirlinkflag.patch
  dont have -L paths pointing to the builddir
  - openhpi-2.3.1_no-Werror.patch
  disable -Werror until all warn_unused_results are fixed
* Fri Sep 23 2005 - ro@suse.de
- fix build-dir references in installed .la file
* Mon Aug 15 2005 - mrueckert@suse.de
- Cleaned up the spec file.
- fixed permissions of the config file
- Remove hardcoded version in Requires
* Wed Jul 27 2005 - mrueckert@suse.de
- make sure the config isnt world readable it can contain passwords
- the documentation should be world readable
* Tue Jun 14 2005 - ro@suse.de
- added sysfsutils to nfb
* Mon Jun 06 2005 - mrueckert@suse.de
- Update to version 2.0.4
* Wed Apr 27 2005 - meissner@suse.de
- fixed overflow in snprintf
- disable -Werror for now
- need to undef sprintf before poisoning.
* Tue Feb 22 2005 - nashif@suse.de
- Update to version 2.0.0
* Thu Oct 28 2004 - nashif@suse.de
- Update to 1.0.1
* Thu Aug 19 2004 - schwab@suse.de
- Fix use of net-snmp headers.
- Fix broken casts.
* Tue Jun 08 2004 - nashif@suse.de
- Update to version 0.9.0
* Thu May 06 2004 - nashif@suse.de
- Fixes to enable SEL clear operation via IPMI plugin.
- fix to IPMI connection with OEM privilage.
* Thu Apr 29 2004 - nashif@suse.de
- Update to version 0.7.0
* Thu Apr 22 2004 - nashif@suse.de
- Update to 0.6.0
- Split into -devel and -clients
* Fri Mar 19 2004 - meissner@suse.de
- initial version 0.5.0.
